var search_data = {"index":{"searchIndex":["simplescheduler","at","invalidtime","futurejob","expired","railtie","schedulerjob","task","at()","at_hour()","at_match()","at_min()","at_wday()","at_wday?()","config_path()","delete_all()","existing_jobs()","existing_run_times()","expire_duration()","expired?()","expired_task()","expired_task_blocks()","expires_after()","frequency()","future_run_times()","handle_expired_task()","hour()","hour?()","job_class_name()","load_config()","minutes_queued_ahead()","name()","new()","new()","next_hour()","next_hour?()","now()","parse_frequency()","parsed_day()","parsed_time()","perform()","perform()","perform_method()","queue_ahead()","queue_future_jobs()","queue_task()","scheduled_set()","tasks()","time_zone()","validate_params!()","simple_scheduler_tasks.rake"],"longSearchIndex":["simplescheduler","simplescheduler::at","simplescheduler::at::invalidtime","simplescheduler::futurejob","simplescheduler::futurejob::expired","simplescheduler::railtie","simplescheduler::schedulerjob","simplescheduler::task","simplescheduler::task#at()","simplescheduler::at#at_hour()","simplescheduler::at#at_match()","simplescheduler::at#at_min()","simplescheduler::at#at_wday()","simplescheduler::at#at_wday?()","simplescheduler::schedulerjob#config_path()","simplescheduler::futurejob::delete_all()","simplescheduler::task#existing_jobs()","simplescheduler::task#existing_run_times()","simplescheduler::futurejob#expire_duration()","simplescheduler::futurejob#expired?()","simplescheduler::expired_task()","simplescheduler::expired_task_blocks()","simplescheduler::task#expires_after()","simplescheduler::task#frequency()","simplescheduler::task#future_run_times()","simplescheduler::futurejob#handle_expired_task()","simplescheduler::at#hour()","simplescheduler::at#hour?()","simplescheduler::task#job_class_name()","simplescheduler::schedulerjob#load_config()","simplescheduler::task#minutes_queued_ahead()","simplescheduler::task#name()","simplescheduler::at::new()","simplescheduler::task::new()","simplescheduler::at#next_hour()","simplescheduler::at#next_hour?()","simplescheduler::at#now()","simplescheduler::task#parse_frequency()","simplescheduler::at#parsed_day()","simplescheduler::at#parsed_time()","simplescheduler::futurejob#perform()","simplescheduler::schedulerjob#perform()","simplescheduler::futurejob#perform_method()","simplescheduler::task#queue_ahead()","simplescheduler::schedulerjob#queue_future_jobs()","simplescheduler::futurejob#queue_task()","simplescheduler::task::scheduled_set()","simplescheduler::schedulerjob#tasks()","simplescheduler::task#time_zone()","simplescheduler::task#validate_params!()",""],"info":[["SimpleScheduler","","SimpleScheduler.html","","<p>Module for scheduling jobs at specific times using Sidekiq.\n"],["SimpleScheduler::At","","SimpleScheduler/At.html","","<p>A Time class for parsing the :at option on a task into the first time it should run.\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Time</span>.<span class=\"ruby-identifier\">now</span>\n<span class=\"ruby-comment\"># =&gt; 2016-12-09 ...</span>\n</pre>\n"],["SimpleScheduler::At::InvalidTime","","SimpleScheduler/At/InvalidTime.html","","<p>Error class raised when an invalid string is given for the time.\n"],["SimpleScheduler::FutureJob","","SimpleScheduler/FutureJob.html","","<p>Active Job class that wraps the scheduled job and determines if the job should still be run based on …\n"],["SimpleScheduler::FutureJob::Expired","","SimpleScheduler/FutureJob/Expired.html","","<p>An error class that is raised if a job does not run because the run time is too late when compared to …\n"],["SimpleScheduler::Railtie","","SimpleScheduler/Railtie.html","","<p>Load the rake task into the Rails app\n"],["SimpleScheduler::SchedulerJob","","SimpleScheduler/SchedulerJob.html","","<p>Active Job class that queues jobs defined in the config file.\n"],["SimpleScheduler::Task","","SimpleScheduler/Task.html","","<p>Class for parsing each task in the scheduler config YAML file and returning the values needed to schedule …\n"],["at","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-at","()","<p>The task&#39;s first run time as a Time-like object. @return [SimpleScheduler::At]\n"],["at_hour","SimpleScheduler::At","SimpleScheduler/At.html#method-i-at_hour","()",""],["at_match","SimpleScheduler::At","SimpleScheduler/At.html#method-i-at_match","()",""],["at_min","SimpleScheduler::At","SimpleScheduler/At.html#method-i-at_min","()",""],["at_wday","SimpleScheduler::At","SimpleScheduler/At.html#method-i-at_wday","()",""],["at_wday?","SimpleScheduler::At","SimpleScheduler/At.html#method-i-at_wday-3F","()",""],["config_path","SimpleScheduler::SchedulerJob","SimpleScheduler/SchedulerJob.html#method-i-config_path","()","<p>Returns the path of the Simple Scheduler configuration file. @return [String]\n"],["delete_all","SimpleScheduler::FutureJob","SimpleScheduler/FutureJob.html#method-c-delete_all","()","<p>Delete all future jobs created by Simple Scheduler from the `Sidekiq::ScheduledSet`.\n"],["existing_jobs","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-existing_jobs","()","<p>Returns an array of existing jobs matching the job class of the task. @return [Array&lt;Sidekiq::SortedEntry&gt;] …\n"],["existing_run_times","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-existing_run_times","()","<p>Returns an array of existing future run times that have already been scheduled. @return [Array&lt;Time&gt;] …\n"],["expire_duration","SimpleScheduler::FutureJob","SimpleScheduler/FutureJob.html#method-i-expire_duration","()","<p>The duration between the scheduled run time and actual run time that will cause the job to expire. Expired …\n"],["expired?","SimpleScheduler::FutureJob","SimpleScheduler/FutureJob.html#method-i-expired-3F","()","<p>Returns whether or not the job has expired based on the time between the scheduled run time and the current …\n"],["expired_task","SimpleScheduler","SimpleScheduler.html#method-c-expired_task","(&block)","<p>Used by a Rails initializer to handle expired tasks.\n\n<pre>SimpleScheduler.expired_task do |exception|\n  ExceptionNotifier.notify_exception( ...</pre>\n"],["expired_task_blocks","SimpleScheduler","SimpleScheduler.html#method-c-expired_task_blocks","()","<p>Blocks that should be called when a task doesn&#39;t run because it has expired. @return [Array]\n"],["expires_after","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-expires_after","()","<p>The time between the scheduled and actual run time that should cause the job not to run. @return [String] …\n"],["frequency","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-frequency","()","<p>How often the job will be run. @return [ActiveSupport::Duration]\n"],["future_run_times","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-future_run_times","()","<p>Returns an array Time objects for future run times based on the current time and the given minutes to …\n"],["handle_expired_task","SimpleScheduler::FutureJob","SimpleScheduler/FutureJob.html#method-i-handle_expired_task","(exception)","<p>Handle the expired task by passing the task and run time information to a block that can be creating …\n"],["hour","SimpleScheduler::At","SimpleScheduler/At.html#method-i-hour","()","<p>Always returns the specified hour if the hour was given, otherwise it returns the hour calculated based …\n"],["hour?","SimpleScheduler::At","SimpleScheduler/At.html#method-i-hour-3F","()","<p>Returns whether or not the hour was specified in the :at string. @return [Boolean]\n"],["job_class_name","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-job_class_name","()","<p>The class name of the job or worker. @return [String]\n"],["load_config","SimpleScheduler::SchedulerJob","SimpleScheduler/SchedulerJob.html#method-i-load_config","()","<p>Load the global scheduler config from the YAML file.\n"],["minutes_queued_ahead","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-minutes_queued_ahead","(last_run_time)",""],["name","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-name","()","<p>The name of the task as defined in the YAML config. @return [String]\n"],["new","SimpleScheduler::At","SimpleScheduler/At.html#method-c-new","(at, time_zone = nil)","<p>Accepts a time string to determine when a task should be run for the first time. Valid formats:\n\n<pre class=\"ruby\"><span class=\"ruby-string\">&quot;18:00&quot;</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["new","SimpleScheduler::Task","SimpleScheduler/Task.html#method-c-new","(params)","<p>Initializes a task by parsing the params so the task can be queued in the future. @param params [Hash] …\n"],["next_hour","SimpleScheduler::At","SimpleScheduler/At.html#method-i-next_hour","()",""],["next_hour?","SimpleScheduler::At","SimpleScheduler/At.html#method-i-next_hour-3F","()",""],["now","SimpleScheduler::At","SimpleScheduler/At.html#method-i-now","()",""],["parse_frequency","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-parse_frequency","(every_string)",""],["parsed_day","SimpleScheduler::At","SimpleScheduler/At.html#method-i-parsed_day","()",""],["parsed_time","SimpleScheduler::At","SimpleScheduler/At.html#method-i-parsed_time","()","<p>Returns the very first time a job should be run for the scheduled task. @return [Time]\n"],["perform","SimpleScheduler::FutureJob","SimpleScheduler/FutureJob.html#method-i-perform","(task_params, scheduled_time)","<p>Perform the future job as defined by the task. @param task_params [Hash] The params from the scheduled …\n"],["perform","SimpleScheduler::SchedulerJob","SimpleScheduler/SchedulerJob.html#method-i-perform","()",""],["perform_method","SimpleScheduler::FutureJob","SimpleScheduler/FutureJob.html#method-i-perform_method","()","<p>The name of the method used to queue the task&#39;s job or worker. @return [Symbol]\n"],["queue_ahead","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-queue_ahead","()","<p>The number of minutes that jobs should be queued in the future. @return [Integer]\n"],["queue_future_jobs","SimpleScheduler::SchedulerJob","SimpleScheduler/SchedulerJob.html#method-i-queue_future_jobs","()","<p>Queue each of the future jobs into Sidekiq from the defined tasks.\n"],["queue_task","SimpleScheduler::FutureJob","SimpleScheduler/FutureJob.html#method-i-queue_task","()","<p>Queue the task with the scheduled time if the job allows.\n"],["scheduled_set","SimpleScheduler::Task","SimpleScheduler/Task.html#method-c-scheduled_set","()","<p>Loads the scheduled jobs from Sidekiq once to avoid loading from Redis for each task when looking up …\n"],["tasks","SimpleScheduler::SchedulerJob","SimpleScheduler/SchedulerJob.html#method-i-tasks","()","<p>The array of tasks loaded from the config YAML. @return [Array&lt;SimpleScheduler::Task]\n"],["time_zone","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-time_zone","()","<p>The time zone to use when parsing the `at` option. @return [ActiveSupport::TimeZone]\n"],["validate_params!","SimpleScheduler::Task","SimpleScheduler/Task.html#method-i-validate_params-21","(params)",""],["simple_scheduler_tasks.rake","","lib/tasks/simple_scheduler_tasks_rake.html","","<p>desc “Queue future jobs defined using Simple Scheduler” task simple_scheduler: :environment …\n"]]}}